// PromptExceptionMessage.h: interface for the CPromptExceptionMessage class.
//
//////////////////////////////////////////////////////////////////////

#pragma once
#include "DllDefines.h"

#include <string>

/////////////////////////////////////////////////////////////////////////////
// CPromptExceptionMessage

class UTILITYDLL CPromptExceptionMessage
{
private:
    static std::string m_strLastMessage;
    //  default constructor
    CPromptExceptionMessage();

    //  default destructor
    virtual ~CPromptExceptionMessage();

public:
    //  prompt Memory exception specific the file
    static void promptMemoryException(CMemoryException* MemoryException, std::string csDbFileName = "");

    static std::string GetLastMessage();
    static void ResetLastMessage();
};
